classification
Title: Documentation: remove stringprep deprecation mark in docs
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.3, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: abcdef, docs@python, georg.brandl, loewis, python-dev
Priority: normal Keywords:

Created on 2014-02-22 22:16 by abcdef, last changed 2014-03-09 09:23 by python-dev. This issue is now closed.

Messages (5)
msg211964 - (view) Author: (abcdef) Date: 2014-02-22 22:16
This is a nitpick, but the documentation is not clear whether the stringprep module is deprecated or not. It is listed as "Deprecated" on http://docs.python.org/3.3/py-modindex.html#cap-s but there's no information on http://docs.python.org/3.3/library/stringprep.html. Contrast with http://docs.python.org/3.3/library/optparse.html which has a clear warning.
msg212031 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2014-02-23 21:34
I'm not quite sure why the module is marked as deprecated - IMO it's not deprecated.
msg212067 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2014-02-24 08:22
Strange, the "deprecated" marker seems to have crept in in revision 20aec9f34598 -- I don't see it in the 2.5 docs.

Since Martin is the module author and probably maintainer, I would say this was an accident.
msg212069 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-02-24 08:26
New changeset de5d4a60ab95 by Georg Brandl in branch '3.3':
Closes #20735: remove erroneous deprecated marker from stringprep docs
http://hg.python.org/cpython/rev/de5d4a60ab95
msg212958 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-03-09 09:23
New changeset fadde95c134e by Georg Brandl in branch '2.7':
Closes #20735: remove erroneous deprecated marker from stringprep docs
http://hg.python.org/cpython/rev/fadde95c134e
History
Date User Action Args
2014-03-09 09:23:58python-devsetmessages: + msg212958
2014-02-24 08:26:26python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg212069

resolution: fixed
stage: resolved
2014-02-24 08:22:55georg.brandlsetnosy: + georg.brandl

messages: + msg212067
title: Documentation: mark stringprep as deprecated -> Documentation: remove stringprep deprecation mark in docs
2014-02-23 21:34:13loewissetnosy: + loewis
messages: + msg212031
2014-02-23 04:30:20berker.peksagsetversions: - Python 3.1, Python 3.2
2014-02-22 22:16:07abcdefcreate